osgText::Glyph3D Class Reference

`#include <Glyph>`

Inheritance diagram for osgText::Glyph3D:

## Public Member Functions

| Glyph3D (Font *font, unsigned int glyphCode)
Font * | getFont ()
const Font * | getFont () const
unsigned int | getGlyphCode () const
void | setWidth (float width)
float | getWidth () const
void | setHeight (float height)
float | getHeight () const
void | setHorizontalBearing (const osg::Vec2 &bearing)
const osg::Vec2 & | getHorizontalBearing () const
void | setHorizontalAdvance (float advance)
float | getHorizontalAdvance () const
void | setVerticalBearing (const osg::Vec2 &bearing)
const osg::Vec2 & | getVerticalBearing () const
void | setVerticalAdvance (float advance)
float | getVerticalAdvance () const
void | setBoundingBox (osg::BoundingBox &bb)
const osg::BoundingBox & | getBoundingBox () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
void | setRawVertexArray (osg::Vec3Array *vertices)
osg::Vec3Array * | getRawVertexArray ()
const osg::Vec3Array * | getRawVertexArray () const
osg::Geometry::PrimitiveSetList & | getRawFacePrimitiveSetList ()
const osg::Geometry::PrimitiveSetList & | getRawFacePrimitiveSetList () const
GlyphGeometry * | getGlyphGeometry (const Style *style)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef std::list< osg::ref_ptr< GlyphGeometry > > | GlyphGeometries

## Protected Member Functions

virtual | ~Glyph3D ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

Font * | _font
unsigned int | _glyphCode
float | _width
float | _height
osg::Vec2 | _horizontalBearing
float | _horizontalAdvance
osg::Vec2 | _verticalBearing
float | _verticalAdvance
osg::BoundingBox | _bb
osg::ref_ptr< osg::Vec3Array > | _rawVertexArray
osg::Geometry::PrimitiveSetList | _rawFacePrimitiveSetList
GlyphGeometries | _glyphGeometries
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Typedef Documentation

## GlyphGeometries

typedef std::list< osg::ref_ptr<GlyphGeometry> > osgText::Glyph3D::GlyphGeometries

protected

## Constructor & Destructor Documentation

## Glyph3D()

osgText::Glyph3D::Glyph3D | ( | Font * | font,
|  | unsigned int | glyphCode )

## ~Glyph3D()

virtual osgText::Glyph3D::~Glyph3D | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getBoundingBox()

const osg::BoundingBox & osgText::Glyph3D::getBoundingBox | ( |  | ) | const

inline

References _bb.

## getFont() [1/2]

Font * osgText::Glyph3D::getFont | ( |  | ) |

inline

References _font.

## getFont() [2/2]

const Font * osgText::Glyph3D::getFont | ( |  | ) | const

inline

References _font.

## getGlyphCode()

unsigned int osgText::Glyph3D::getGlyphCode | ( |  | ) | const

inline

References _glyphCode.

## getGlyphGeometry()

GlyphGeometry * osgText::Glyph3D::getGlyphGeometry | ( | const Style * | style | ) |

## getHeight()

float osgText::Glyph3D::getHeight | ( |  | ) | const

inline

References _height.

## getHorizontalAdvance()

float osgText::Glyph3D::getHorizontalAdvance | ( |  | ) | const

inline

References _horizontalAdvance.

## getHorizontalBearing()

const osg::Vec2 & osgText::Glyph3D::getHorizontalBearing | ( |  | ) | const

inline

References _horizontalBearing.

## getRawFacePrimitiveSetList() [1/2]

osg::Geometry::PrimitiveSetList & osgText::Glyph3D::getRawFacePrimitiveSetList | ( |  | ) |

inline

Get the PrimitiveSetList for the raw face which hasn't been tessellated.

References _rawFacePrimitiveSetList.

## getRawFacePrimitiveSetList() [2/2]

const osg::Geometry::PrimitiveSetList & osgText::Glyph3D::getRawFacePrimitiveSetList | ( |  | ) | const

inline

References _rawFacePrimitiveSetList.

## getRawVertexArray() [1/2]

osg::Vec3Array * osgText::Glyph3D::getRawVertexArray | ( |  | ) |

inline

References _rawVertexArray.

## getRawVertexArray() [2/2]

const osg::Vec3Array * osgText::Glyph3D::getRawVertexArray | ( |  | ) | const

inline

References _rawVertexArray.

## getVerticalAdvance()

float osgText::Glyph3D::getVerticalAdvance | ( |  | ) | const

inline

References _verticalAdvance.

## getVerticalBearing()

const osg::Vec2 & osgText::Glyph3D::getVerticalBearing | ( |  | ) | const

inline

References _verticalBearing.

## getWidth()

float osgText::Glyph3D::getWidth | ( |  | ) | const

inline

References _width.

## setBoundingBox()

void osgText::Glyph3D::setBoundingBox | ( | osg::BoundingBox & | bb | ) |

inline

References _bb.

## setHeight()

void osgText::Glyph3D::setHeight | ( | float | height | ) |

inline

References _height.

## setHorizontalAdvance()

void osgText::Glyph3D::setHorizontalAdvance | ( | float | advance | ) |

inline

References _horizontalAdvance.

## setHorizontalBearing()

void osgText::Glyph3D::setHorizontalBearing | ( | const osg::Vec2 & | bearing | ) |

inline

References _horizontalBearing.

## setRawVertexArray()

void osgText::Glyph3D::setRawVertexArray | ( | osg::Vec3Array * | vertices | ) |

inline

References _rawVertexArray.

## setThreadSafeRefUnref()

virtual void osgText::Glyph3D::setThreadSafeRefUnref | ( | bool | threadSafe | ) |

virtual

Set whether to use a mutex to ensure ref() and unref() are thread safe.

Reimplemented from osg::Referenced.

## setVerticalAdvance()

void osgText::Glyph3D::setVerticalAdvance | ( | float | advance | ) |

inline

References _verticalAdvance.

## setVerticalBearing()

void osgText::Glyph3D::setVerticalBearing | ( | const osg::Vec2 & | bearing | ) |

inline

References _verticalBearing.

## setWidth()

void osgText::Glyph3D::setWidth | ( | float | width | ) |

inline

References _width.

## Member Data Documentation

## _bb

osg::BoundingBox osgText::Glyph3D::_bb

protected

Referenced by getBoundingBox(), and setBoundingBox().

## _font

Font* osgText::Glyph3D::_font

protected

Referenced by getFont(), and getFont().

## _glyphCode

unsigned int osgText::Glyph3D::_glyphCode

protected

Referenced by getGlyphCode().

## _glyphGeometries

GlyphGeometries osgText::Glyph3D::_glyphGeometries

protected

## _height

float osgText::Glyph3D::_height

protected

Referenced by getHeight(), and setHeight().

## _horizontalAdvance

float osgText::Glyph3D::_horizontalAdvance

protected

Referenced by getHorizontalAdvance(), and setHorizontalAdvance().

## _horizontalBearing

osg::Vec2 osgText::Glyph3D::_horizontalBearing

protected

Referenced by getHorizontalBearing(), and setHorizontalBearing().

## _rawFacePrimitiveSetList

osg::Geometry::PrimitiveSetList osgText::Glyph3D::_rawFacePrimitiveSetList

protected

Referenced by getRawFacePrimitiveSetList(), and getRawFacePrimitiveSetList().

## _rawVertexArray

osg::ref_ptr<osg::Vec3Array> osgText::Glyph3D::_rawVertexArray

protected

Referenced by getRawVertexArray(), getRawVertexArray(), and setRawVertexArray().

## _verticalAdvance

float osgText::Glyph3D::_verticalAdvance

protected

Referenced by getVerticalAdvance(), and setVerticalAdvance().

## _verticalBearing

osg::Vec2 osgText::Glyph3D::_verticalBearing

protected

Referenced by getVerticalBearing(), and setVerticalBearing().

## _width

float osgText::Glyph3D::_width

protected

Referenced by getWidth(), and setWidth().

The documentation for this class was generated from the following file:

- Glyph